HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Get Calendars

Return a full or filtered list of Calendars.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve calendars that match optional utility, calendar type, and date-range filters.

Use this endpoint to discover calendars before retrieving one calendar by calendarId or retrieving actual calendar dates. Calendars can represent holidays, billing cycles, or dynamic pricing periods.

Resource URI

GET /rest/public/calendars/

Query parameters

ParameterTypeDescription
lseIdLongLoad serving entity ID. Optional.
calendarTypeStringType of calendar to return. Choices are HOLIDAY, BILLING, and PRICING_PERIOD. Optional.
fromDateTimeDateTimeReturn calendars with dates on or after this date. Optional.
toDateTimeDateTimeReturn calendars with dates on or before this date. Optional.

For the full calendar data model and examples, see Calendars.

Example

GET /rest/public/calendars?lseId=734&calendarType=HOLIDAY

A successful response returns a standard response payload with type set to Calendar and results containing matching calendars.

Query Params
int64

Load serving entity id

string

Type of calendar. Can be either HOLIDAY, BILLING, or PRICING_PERIOD (Optional).

date

from date (Optional)

date

from date (Optional)

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json